package loan;

/* 
 * Developed by OpenRules Inc. based on the initial DMN submission
 */

import org.openl.types.impl.DynamicObject;

import com.openrules.ruleengine.Decision;

public class Main {
	public static void main(String[] args) {
		String fileName = "file:repository/Process.xls";
		Decision decision = new Decision("EmulateLoanOriginationProcess",fileName);
		decision.put("report", "On");
		//decision.put("trace", "Off");
		decision.saveRunLog(true);
		
		DynamicObject[] applicants = (DynamicObject[])decision.execute("getApplicants");
		DynamicObject[] requestedProducts = (DynamicObject[])decision.execute("getRequestedProducts");
		DynamicObject[] bureauRecords = (DynamicObject[])decision.execute("getBureauData");
		for (int i = 0; i < applicants.length; i++) {
			decision.log("\n=== Run Decision for " + applicants[i].getFieldValue("fullName"));
			decision.put("applicant", applicants[i]);
			decision.put("requestedProduct", requestedProducts[i]);
			decision.put("bureauData", bureauRecords[i]);
			decision.setRunName("run"+(i+1));
			decision.execute();
			decision.log("Loan Origination Result: " + requestedProducts[i].getFieldValue("loanOriginationResult"));
			// Explain logic
			decision.getEngine().run("ExplainInternalLogic");
		}
		
		decision.printSavedRunLog("result.txt");
	}
}
