package loan;

import org.apache.poi.ss.formula.functions.FinanceLib;

public class PMT {
	
	public static double calc(double rate, double term, double amount) {
//		r = 10; n = 36; p = 100000; f = 0; t = true;
//        y = FinanceLib.pmt(0.00740260861, 180, -984698, 0, false);
		/*
		    Symbols used in the formulae that follow:
			p: present value
			f: future value
			n: number of periods
			y: payment (in each period)
			r: rate
			^: the power operator (NOT the java bitwise XOR operator!)
	    */
		double r = rate/12;
		double t = (term/12)*12;
		return FinanceLib.pmt(r, t, -amount, 0, false);
	}
	
	public static double pmtJava(double rate, double term, double amount) {
		double r = rate/12;
		double t = (term/12)*12;
		return (amount*r)/(1 - Math.pow(1+r,-t));
	}

	public static void main(String[] args) {
		
		System.out.println("pmtJava: " + pmtJava(0.10, 36, 100000));
		
		System.out.println("pmt = " + PMT.calc(0.10, 36, 100000));
    }

}
